<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Редактировать сотрудника</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.USERS_READ %}
				<form id="user-edit" method="post" action="/users/user/{{ exUser.id }}/edit/">
					{% csrf_token %}
					<div class="input-field">
						<input type="text" class="disabled" value="{{ exUser.username }}" required>
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Логин</label>
					</div>
					<div class="input-field">
						<input type="text" name="name" value="{{ exUser.name }}" required>
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Имя</label>
					</div>
					<div class="material-select {% if not user.role.permissions.USERS_EDIT %}disabled{% endif %}">
						<select name="position">
							{% for position in positions %}
								{% if position.name == exUser.position.name %}
									<option selected="selected">{{ position.name }}</option>
								{% else %}
									<option>{{ position.name }}</option>
								{% endif %}
							{% endfor %}
						</select>
						<label for="select" class="control-label">Должность</label><i class="bar"></i>
					</div>
					<div class="material-select {% if not user.role.permissions.USERS_EDIT or exUser.is_superuser %}disabled{% endif %}">
						<select name="role">
							{% for role in roles %}
								{% if role.name == exUser.role.name %}
									<option selected="selected">{{ role.name }}</option>
								{% else %}
									<option>{{ role.name }}</option>
								{% endif %}
							{% endfor %}
						</select>
						<label for="select" class="control-label">Группа</label><i class="bar"></i>
					</div>
					<div class="submit-container {% if not user.role.permissions.USERS_EDIT %}disabled{% endif %}">
						<button id="user-delete" class="button" form="">Удалить</button>
						<button class="button" form="user-edit" type="submit">Сохранить</button>
					</div>
				</form>
			</div>
		{% else %}
			<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
		{% endif %}
	</div>
</div>
<script>
	$(function() {
		$("form").submit(function(e) {
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	var confirmed = false;
	$("button#user-delete").click(function(){
		if (confirmed) {
			var posting = $.post('/users/user/{{ exUser.id }}/delete/', {'csrfmiddlewaretoken': '{{ csrf_token }}'});
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		} else {
			$("button#user-delete").html("Вы уверены?");
			confirmed = true;
		}
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>